Summary: Displays info such as file tails on the root-window
Name: root-portal
Version: 0.4.9
Release: 1
Serial: 0
Copyright: GPL
Group: Applications/System
Source: http://download.sourceforge.net/root-portal/%{name}-%{version}.tar.gz
URL: http://root-portal.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-root
Requires: glib >= 0.99.7, gtk+ >= 1.2.0, ORBit

%description
Root-Portal displays text of various sorts on the root-window (desktop).
Currently it supports the display of file tails and also info on processes
starting/stopping.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf examples/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README README.help TODO
%doc examples
%{_sysconfdir}/CORBA/servers/root-portal_applet.gnorba
%{_bindir}/*
%{_datadir}/applets/Monitors/root-portal_applet.desktop
%{_datadir}/gnome/help/root-portal
%{_datadir}/pixmaps/root-portal.png
%{_mandir}/man1/*

%changelog
* Mon Dec 18 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Cleaned up the whole thing for RedHat 7.0 (RPM v4)

* Sat Dec 09 2000 Sourav K. Mandal <Sourav.Mandal@ikaran.com>
- Revamped file to work
- Added some doc files
- Put in safety checks for cleaning up build root
- Tweaked to improve buildability for non-root users

* Wed Nov 16 2000 Daniel Serodio <dserodio@email.com> 0.4.7-1
- Added a bunch of missing files
- Changed prefix from /usr/local to /usr
- Added sysconfdir so .gnorba file goes to right place
- Removed .info file (doesn't exist anymore)

